<nav class="navbar has-shadow is-spaced" role="navigation" aria-label="main navigation">
    <div class="navbar-brand">
        <a class="navbar-item" href="{{ path('index') }}">
            Free Mag
        </a>

        <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false" data-target="navbar">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
    </div>

    <div id="navbar" class="navbar-menu">
        <div class="navbar-start">
            <a class="navbar-item" href="{{ path('index') }}">
                {% trans %}nav.home{% endtrans %}
            </a>

            {% for slug, title in topics.nav %}
                <a class="navbar-item" href="{{ path('topic', {'slug': slug}) }}">
                    {{ title }}
                </a>
            {% endfor %}
            <div class="navbar-item has-dropdown is-hoverable">
                <a class="navbar-link">{% trans %}nav.topics{% endtrans %}</a>

                <div class="navbar-dropdown">
                    {% for slug, title in topics.select %}
                        <a class="navbar-item" href="{{ path('topic', {'slug': slug}) }}">
                            {{ title }}
                        </a>
                    {% endfor %}
                </div>
            </div>
        </div>
        <div class="navbar-end">
            <div class="navbar-item">
                <a href="{{ path('index', {_locale: 'fr'}) }}">
                    {% trans %}nav.fr{% endtrans %}
                </a>
            </div>
            <div class="navbar-item">
                <a href="{{ path('index', {_locale: 'en'}) }}">
                    {% trans %}nav.en{% endtrans %}
                </a>
            </div>
        </div>
    </div>
</nav>